/**
 * Copyright (c) 2009 Mark Logic Corporation. All rights reserved.
 */
package com.marklogic.cpox;

import java.util.Comparator;

/**
 * @author Michael Blakeley, Mark Logic Corporation
 *
 */
public class TimedEventDurationComparator implements Comparator<TimedEvent> {

    /**
     * 
     */
    public TimedEventDurationComparator() {
        super();
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
     */
    public int compare(TimedEvent e1, TimedEvent e2) {
        // TODO: what happens if the difference is greater than MAXINT?
        long diff = e1.getDuration() - e2.getDuration();
        return (int) Math.min(diff, Integer.MAX_VALUE);
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.util.Comparator#equals(java.lang.Object, java.lang.Object)
     */
    public boolean equals(TimedEvent e1, TimedEvent e2) {
        return e1.getDuration() == e2.getDuration();
    }

}
